import { ItemDescriptor, Page, PageSkeleton } from "../pageModel";
import { ItemsRepository } from "./itemsRepository";
import { ParheliaSettings } from "../../types";
import { LayoutMode } from "./editContext";
export declare function normalizeComponentId(id: string | null | undefined): string;
export declare function resolveRenderedPageItemDescriptor(skeletonItem: ItemDescriptor, pageItemDescriptor?: ItemDescriptor): ItemDescriptor;
export declare function usePageModel(itemsRepository: ItemsRepository | undefined, pageItemDescriptor?: ItemDescriptor, parheliaSettings?: ParheliaSettings, layoutMode?: LayoutMode): {
    setPageSkeleton: import("react").Dispatch<import("react").SetStateAction<PageSkeleton | undefined>>;
    page: Page | undefined;
};
